function [ wardChosen ] = evalDisruption( outDegrees, inDegrees, order )
%evalDisruption takes a n-vector of out-degrees, and a n-vector of
%in-degrees, and calculates the n that provides minimum disruption, as
%described in WongWu2015
minOut = 10e5;
minIn = 10e5;
idx = 0;
for i = 1:length(outDegrees)
    if ~ismember(i, order)
        if outDegrees(i)< minOut
            minOut = outDegrees(i);
            minIn = inDegrees(i);
            idx = i;
        elseif outDegrees(i) == minOut && inDegrees(i) < minIn
            minOut = outDegrees(i);
            minIn = inDegrees(i);
            idx = i;
        end
    end
end
wardChosen = idx;
end