function [ wardChosen ] = evalDisruption_directorate( weightMatrix, order )
%evalDisruption takes a n-vector of out-degrees, and a n-vector of
%in-degrees, and calculates the n that provides minimum disruption, as
%described in WongWu201

minOut = 10e5;
minIn = 10e5;
idx = 0;
numWards = length(weightMatrix);
inDegrees = sum(weightMatrix,1);
dlist = [];

for i = 1:length(directorate)
    for j = 1:length(directorate{i})
        dlist(directorate{i}(j)) = i;
    end
end

for i = 1:numWards %check each of the i wards in turn
    if ~ismember(i, order) %only evaluate disruption for wards that have not yet been ordered        
        %new function - calculate outdegrees ... outdegrees =...
        weights = weightMatrix(i,:); % get all the outgoing weights for ward i
        this_dir = dlist(i); % get the directorate number for this ward
        
        %correct the weightings to account for directorate
        tau = 0;
        scaling = ones(1,numWards);
        if this_dir ~= 0
            scaling(directorate{this_dir}) = tau;
        end
        outDegrees = sum(weights.*scaling);
        
        %if this is better than our current best, update
        if outDegrees < minOut 
            minOut = outDegrees;
            minIn = inDegrees(i);
            idx = i;
        elseif outDegrees == minOut && inDegrees(i) < minIn
            minOut = outDegrees;
            minIn = inDegrees(i);
            idx = i;
        end
    end
end

wardChosen = idx;
end